Skip to content

PostSafeBlockFeedback.

POST
/api/shape/safe/namespaces/{namespace}/safe/sas/block/feedback
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/block/feedback \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example", "namespace": "example", "version": "example" }'

POST Safe block feedback.

Examples of this operation.

namespace
required
string

Namespace

x-required namespace is used to scope the query.

Media typeapplication/json
PostSafeBlockFeedbackRequest

Any payload to be passed on the Safe Block Feedback POST API.

object
body
Body

Data to be send as the body of request. Note that multipart/formdata is not supported.

string format: byte
<= 1024 characters
namespace
Namespace

Namespace is used to scope the query Required: YES.

string
>= 6 characters <= 1024 characters
version
Version

The API version to use.

string
>= 1 characters <= 16 characters
Examplegenerated
{
"body": "example",
"namespace": "example",
"version": "example"
}

A successful response.

Media typeapplication/json
PostSafeBlockFeedbackResponse

Any payload to be return by POST API.

object
body
Body

Data received from the downstream server.

string format: byte
<= 1024 characters
Examplegenerated
{
"body": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example